Subject: Re: [AVTCORE] Comments on the draft-ietf-avtcore-srtp-aes-gcm-06

From: "Igoe, Kevin M." <[email-masked]>
Date: Thu, 11 Jul 2013 12:46:21 +0000

Many thanks for the observations.  I think draft -07 (which I put out
before I saw your note) caught most of the errors you point out.
Your time and effort in reviewing the draft are greatly appreciated.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Woo-Hwan Kim
Sent: Thursday, June 27, 2013 1:23 AM
To: [email-masked]; [email-masked]
Cc: Je Hong Park; Daesung Kwon; Magnus Westerlund
Subject: [AVTCORE] Comments on the draft-ietf-avtcore-srtp-aes-gcm-06

Hi.

Here are some comments on the draft-ietf-avtcore-srtp-aes-gcm-06.

1. In section 5.2, Tag_Size_Flag is used for CCM mode input and it is written that the tag size for GCM mode is determined by the algorithm choice.
There is no difference between CCM and GCM from the point of view that the ciphersuite can determine the tag length.
CCM needs tag length in the input formatting function while GCM does not.
But I think it does not imply that the inputs of GCM and CCM differ and it is better to be consistent.

2. AES-CCM ciphersuites is defined for each tag length except but Section 14.1.
I think it is better to add the following ciphersuites in Section 14.1 as well as other parts of the draft.
- AEAD_AES_128_CCM_8
- AEAD_AES_256_CCM_8
- AEAD_AES_128_CCM_12
- AEAD_AES_256_CCM_12

3. Section 6, Section 11.1
 (2^24)-16 octets => (2^28)-16 octets

Regards, Woo-Hwan Kim